/*
Theme Name:     Molly by Creative Her
Theme URI:      https://molly.creativeher.co/
Template:       kadence
Author:         Creative Her
Author URI:     https://creativeher.co/
Description:    Molly beautifully blends creativity and elegance, showcasing a range of DIY crafts, interior design tips, and homemade recipes. The clean, modern layout with inviting visuals and user-friendly navigation enhances the overall experience, making it easy for visitors to explore your latest projects and shop your curated products.
Version:        1.0
License:        GNU General Public License v3.0 (or later)
License URI:    https://www.gnu.org/licenses/gpl-3.0.html
*/



/*page Title*/
h1.page-title {
	font-style: normal;
	font-size: 35px;
}

/*Gaps*/
.grid-cols {
	column-gap: 3rem;
}
/*Search*/
.wp-block-search .wp-block-search__input {
	border: 0;
}

.wp-block-search.wp-block-search__button-inside .wp-block-search__inside-wrapper {
	border-radius: 0;
	border-color: #333;
}

/*Search in Header*/
#main-header p {
	margin: 0 !important;
}

#main-header input[type="search"] {
	background: none;
	border: 0;
	padding: 15px 80px 15px 30px;
	    font-style: normal;
    font-weight: 500;
    font-size: 13px;
    line-height: 1.5;
    letter-spacing: 2px;
    font-family: Urbanist, sans-serif;
    text-transform: uppercase;
}

#main-header .search-form .kadence-search-icon-wrap {
	color: #333;
}

#main-header .search-form {
	border-left: 2px solid #fff;
}

.kadence-search-svg {
    transform: scale(.75);
    transform-origin: center; 
}

/* Inputs*/
.wp-block-search__button svg {
    transform: scaleX(-1);
}

input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type="number"], input[type="tel"], input[type="range"], input[type="date"], input[type="month"], input[type="week"], input[type="time"], input[type="datetime"], input[type="datetime-local"], input[type="color"], textarea {
	color: #333;
}

input[type="text"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="password"]:focus, input[type="search"]:focus, input[type="number"]:focus, input[type="tel"]:focus, input[type="range"]:focus, input[type="date"]:focus, input[type="month"]:focus, input[type="week"]:focus, input[type="time"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="color"]:focus, textarea:focus, button:hover, button:focus, button:active, .button:hover, .button:focus, .button:active, .wp-block-button__link:hover, .wp-block-button__link:focus, .wp-block-button__link:active, .wp-element-button:hover, .wp-element-button:focus, .wp-element-button:active, input[type="button"]:hover, input[type="button"]:focus, input[type="button"]:active, input[type="reset"]:hover, input[type="reset"]:focus, input[type="reset"]:active, input[type="submit"]:hover, input[type="submit"]:focus, input[type="submit"]:active {
	box-shadow: 0 0 0 0;
}
::placeholder {
	color: #7a7a7a;
}

.wp-block-kadence-advancedbtn .kb-button.kt-btn-size-small {
	font-size: 11px !important;
	border-radius: 35px;
}


/* Categ Silo*/
.kt-tab-alignment-center>.kt-tabs-title-list, .kt-tab-alignment-center>.kt-tabs-content-wrap>.kt-tabs-accordion-title a, .kt-tabs-layout-vtabs.kt-tab-alignment-center>.kt-tabs-title-list li .kt-tab-title {
    justify-content: left;
}



.ch-catsilo-subcateg .kt-tabs-title-list li:last-child a {
    padding-bottom: 30px !important;
}

.ch-catsilo-subcateg .kt-tab-title {
	font-size: 13px;
}

.kt-tab-title {
	font-size: 14px;
}



@media(min-width: 960px) {
	.kt-tabs-layout-vtabs>.kt-tabs-content-wrap {
	width: 73%;
}
	.kt-tabs-layout-vtabs>.kt-tabs-title-list {
	width: 24%;
	margin-right: 3%;
}
	
}

@media(max-width: 959px) {
	.kt-tabs-layout-vtabs>.kt-tabs-content-wrap {
	width: 100%;
}
	.kt-tabs-layout-vtabs>.kt-tabs-title-list {
	width: 100%;
	margin-right: 0%;
		margin-bottom: 20px;
}
	
}

/*Page Title*/
.entry-hero-container-inner .entry-header {
	min-height: 110px;

}

@media screen and (min-width: 768px) { 
	.entry-hero-container-inner .entry-header {

margin-top: 15px;
}
}


/*Post Meta*/

.entry-header {
    display: flex;
    flex-direction: column;
}

.entry-meta {
    order: 1;
}

.entry-title {
    order: 2;
}

.entry-taxonomies {
    order: 0;
}

/* Post Img Beside*/
.item-image-style-beside .entry-header {
	margin-bottom: 0;
}

.loop-entry.type-post .entry-meta {
	margin-bottom: 5px;
	margin-top: 5px;
}

.kb-posts-style-boxed.item-image-style-beside .content-bg {
	background: none;
}

.kb-posts-style-boxed.item-image-style-beside .entry-content-wrap {
	align-self: center;
padding-top: 0;
    padding-bottom: 0;}

#secondary article.loop-entry {
	grid-gap: 20px;
	text-align: left;
}

#secondary article .entry-content-wrap {
	padding: 0;
}

/*Read more*/
a.post-more-link .kadence-svg-iconset {
	display: none;
}

a.post-more-link {
	font-weight: normal;
	font-style: normal;
    font-weight: 500;
    font-size: 12px;
    letter-spacing: 2px;
    font-family: var(--global-primary-nav-font-family);
    text-transform: uppercase;
	background: var(--global-palette4);
	color: var(--global-palette9);
	padding: 14px 25px;

}

a.post-more-link:hover {
	color: #fff;
}

.more-link-wrap {
	margin-top: 25px;
}

.widget-area a:where(:not(.button):not(.wp-block-button__link):not(.wp-element-button)):hover {
	text-decoration: none;
}

/*WC*/

.wc-block-cart__empty-cart__title.with-empty-cart-icon:before, .wp-block-woocommerce-empty-cart-block .wp-block-separator {
	display: none !important;
}

.wc-block-cart__empty-cart__title {
	font-size: 27px !important;
	font-style: normal;
}
.woocommerce-tabs {
	display: none;
}

.woocommerce div.product form.cart .button {
	height: 41px;
}
.quantity.spinners-added input.minus, .quantity.spinners-added input.plus {
	color: #333;
}

.quantity.spinners-added, .quantity.spinners-added:hover {
	border-color: #333;
	border-radius: 0;
}

.woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce #respond input#submit.alt {
   
    -webkit-font-smoothing: auto;
}

.related.products h2 {
	    font-style: normal;
    font-size: 33px;
	padding-top: 30px;
	padding-bottom: 20px;
}

#wrapper .wc-block-grid .wc-block-grid__products .product-loop-boxed .entry-content-wrap, #wrapper .wc-block-grid .wc-block-grid__products .woo-archive-action-on-hover .entry-content-wrap {
	padding: 10px 0;
}

.wc-block-grid .wc-block-grid__products:not(.thisisforspecificity) .wc-block-grid__product, .wc-block-carousel .wc-block-grid__product {
	overflow: visible;
}

.wc-block-grid__products .wc-block-grid__product .wc-block-grid__product-onsale, .woocommerce span.onsale {
	border-radius: 0;
	font-weight: normal;
	font-size: 12px;
	letter-spacing: 1.5px;
	background: var(--global-palette2);
	color: var(--global-palette3);
	padding: 10px 20px;
	top: -5px;
	right: -5px;
	z-index: 999;
	position: absolute;
	text-transform: uppercase;
	max-width: fit-content;
}

.wc-block-grid__product.woo-archive-btn-button .wc-block-grid__product-add-to-cart .wp-block-button__link:hover {
		background: var(--global-palette8);
	color: var(--global-palette3);
}

.wc-block-grid__product.woo-archive-btn-button .wc-block-grid__product-add-to-cart .wp-block-button__link, .woocommerce ul.products.woo-archive-btn-button .button:not(.kb-button), .woocommerce ul.products li.woo-archive-btn-button .button:not(.kb-button), .woocommerce ul.products.woo-archive-btn-button .button:not(.kb-button):hover, .woocommerce ul.products li.woo-archive-btn-button .button:not(.kb-button):hover {
	background: var(--global-palette8);
	color: var(--global-palette3);
	font-size: 12px;
}

.woocommerce a.added_to_cart, .wc-block-grid__product .wc-block-grid__product-add-to-cart a.added_to_cart {
	background: var(--global-palette8);
    color: var(--global-palette3);
    font-size: 12px;
    width: 100%;
    font-weight: normal;
    padding: 12px 25px 12px 25px;
    display: block;
    text-align: center;
    letter-spacing: 2px;
}

.wc-block-grid__product.woo-archive-btn-button .wc-block-grid__product-add-to-cart .wp-block-button__link.added {
	display: none;
}

.wc-block-grid__product-price ins, .woocommerce ul.products li.product .price ins {
	font-weight: normal;
}

button, .button, .wp-block-button__link, .wp-element-button, input[type="button"], input[type="reset"], input[type="submit"] {
	
}

.woocommerce-js .hero-section-overlay {
	background: rgba(244, 237, 212, 0.45);
	 
}
.woocommerce-js h1.entry-title {
    font-style: normal;
    font-size: 35px;
}
.entry-hero.page-hero-section .entry-header {
	   min-height: 110px;
}

.editor-styles-wrapper table.wc-block-cart-items .wc-block-cart-items__header th, table.wc-block-cart-items .wc-block-cart-items__header th, .is-large.wc-block-cart .wc-block-cart__totals-title {
	
	font-style: normal;
    font-weight: 500 !important;
    font-size: 13px !important;
    letter-spacing: 2px !important;
    font-family: var(--global-primary-nav-font-family);
    text-transform: uppercase;
	color: #000 !important;
}

.wc-block-components-product-metadata {
    font-size: inherit !important;
}

.wc-block-components-quantity-selector input.wc-block-components-quantity-selector__input, .wc-block-components-totals-item__value, .wc-block-components-totals-footer-item .wc-block-components-totals-item__label, .wc-block-components-totals-item__value, .wc-block-components-order-summary .wc-block-components-order-summary-item__total-price {
	font-weight: normal !important;
}

.woocommerce a, .editor-styles-wrapper table.wc-block-cart-items .wc-block-cart-items__row .wc-block-components-product-name, table.wc-block-cart-items .wc-block-cart-items__row .wc-block-components-product-name
 {
	text-decoration: none !important;
}

.wc-block-cart__submit-container .wp-element-button, .wc-block-checkout__actions_row .wc-block-components-checkout-place-order-button {
	font-style: normal;
    font-weight: 500;
    font-size: 13px;
    letter-spacing: 2px;
    font-family: Urbanist, sans-serif;
    text-transform: uppercase;
    border-radius: 0px;
    background: var(--global-palette-btn-bg);
    color: var(--global-palette-btn);
}

body:not(.woocommerce-block-theme-has-button-styles) .wc-block-components-button:not(.is-link):focus {
    outline: 0 !important;
    box-shadow: 0 0 0 0 !important;
}

.wc-block-components-title.wc-block-components-title, .wc-block-components-order-summary .wc-block-components-order-summary__button-text, .wc-block-cart-items__header span, .is-large.wc-block-cart .wc-block-cart__totals-title {
	font-size: 28px !important;
	font-style: normal !important;
	font-weight: 300 !important;
	font-family: var(--global-heading-font-family) !important;
	text-transform: none !important;
	letter-spacing: 0 !important;
}

.wc-block-components-product-name {
		font-size: 25px !important;
	font-style: normal !important;
	font-weight: 300 !important;
	font-family: var(--global-heading-font-family) !important;
	text-transform: none !important;
	letter-spacing: 0 !important;
}

.wc-block-components-address-form__address_2-toggle {
	background: #333 !important;
	border-radius: 4px;
}

.is-large .wp-block-woocommerce-checkout-order-summary-block {
	border-radius: 0 !important;
}

.woocommerce-page .entry-content-wrap {
padding-top: 0;
}

.wp-block-woocommerce-checkout.alignwide.wc-block-checkout, .wp-block-woocommerce-cart.alignwide {
	margin-left: 0 !important;
	margin-right: 0 !important;
}

/*Related*/
.entry-related.alignfull, .entry-related-inner-content.alignwide {
	margin-left: 0;
	margin-right: 0;
	max-width: 100%;
}
.entry-related-inner-content {
	padding: 0;
}

.entry-related-title {
	font-size: 33px;
	font-style: normal;
}

.entry-related .loop-entry .entry-content-wrap {
	padding: 0;
}

.entry-related .entry-meta {
	display: none;
}

.entry-related .splide__pagination {
	display: none;
}

.entry-related-carousel h3.entry-title {
	font-style: normal;
	padding-top: 20px;
	font-size: 22px;
}

.splide .splide__arrow {
    background: #333 !important;
    color: #fff !important;
    width: 2rem !important;
    height: 2rem !important;
    border-radius: 50px !important;
    opacity: 1 !important;
    border: 1px solid #333 !important;
}

/*Comments*/
.comment-author b {
	font-weight: normal;
}

.comment-author .fn {
	text-transform: capitalize;
}

.comment-author .fn a:hover {
	text-decoration: none;
}

.comment-metadata a:hover {
	text-decoration: none;
}

.says {
	font-size: inherit;
}
.comments-title, .comment-reply-title {
	font-style: normal;
	font-size: 33px;
}

.comment-reply-link {
	    font-style: normal;
    font-weight: 500;
    font-size: 13px;
    letter-spacing: 2px;
    font-family: var(--global-primary-nav-font-family);
    text-transform: uppercase;
	background: #333;
	border-color: #333;
	color: #fff;
}

.bypostauthor .avatar {
    box-sizing: content-box;
	border: 3px solid var(--global-palette7);}

.comment-reply-link:hover {
	background: #333;
	border-color: #333;
	color: #fff;
}
	
input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type="number"], input[type="tel"], input[type="range"], input[type="date"], input[type="month"], input[type="week"], input[type="time"], input[type="datetime"], input[type="datetime-local"], input[type="color"], textarea, input[type="text"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="password"]:focus, input[type="search"]:focus, input[type="number"]:focus, input[type="tel"]:focus, input[type="range"]:focus, input[type="date"]:focus, input[type="month"]:focus, input[type="week"]:focus, input[type="time"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="color"]:focus, textarea:focus {
	border-color: #333;
	border-radius: 0;
} 

.comment-form .comment-input-wrap p label, .comment-form p.comment-form-float-label label {
	color: #333;
}

/* Next Prev Post*/
.navigation.post-navigation .nav-links {
	    padding: 30px 0 30px 0;
	margin-top: 20px;
}

.post-navigation .creativeher-post-categories {
	display: none;
}

.nav-links {
    display: flex;
    flex-direction: row;
    align-items: center;
    max-width: var(--global-content-width);
    margin: 0 auto;
	
	padding-bottom: 40px;
	margin-top: 70px;
}

.nav-links .creativeher-kadence-adjacent-post-link:nth-child(2) {
	text-align: right;
}

.nav-links .creativeher-kadence-adjacent-post-link:nth-child(2) .creativeher-post-link-content {
	flex-direction: row-reverse;
}

.nav-links .creativeher-kadence-adjacent-post-link:nth-child(2) .creativeher-post-categories {
	    justify-content: flex-end;
}

.pagination .nav-links {
	padding: 0 20px;
}


h4.creativeher-post-title {
	font-size: 23px;
}
.creativeher-kadence-adjacent-post-link {
    width: 95%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.creativeher-kadence-adjacent-post-link:first-child {
	margin-right: 5%;
}

.creativeher-kadence-adjacent-post-link:nth-child(2) {
	margin-left: 5%;
}

.pagination a:hover, .pagination a:focus, .pagination a:active {
	border-color: transparent;
}

.pagination .page-numbers {
	font-style: normal;
    font-weight: normal;
    font-size: 14px;
    letter-spacing: 2px;
    font-family: var(--global-primary-nav-font-family);
    text-transform: uppercase;
}

.nav-links a.next.page-numbers, .nav-links a.prev.page-numbers {
	border-radius: 0;
	    display: flex;
    flex-direction: row;
	align-items: center;
}

.nav-links a.next.page-numbers svg {
	margin-left: 15px;
}

.nav-links a.prev.page-numbers svg {
	margin-right: 15px;
}


.adjacent-post-label {
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
	color: #000;
    letter-spacing: 2px;
    font-family: var(--global-primary-nav-font-family);
    text-transform: uppercase;
    margin-bottom: 20px;
    width: 100%;
}

.creativeher-post-categories {
	  font-style: normal;
    font-weight: normal;
    font-size: 12px;
    letter-spacing: 2px;
    font-family: var(--global-primary-nav-font-family);
	   text-transform: uppercase;
}

/* Control over the content next to the image */
.creativeher-post-link-content {
    display: flex;
    align-items: center;
    width: 100%; 
    column-gap: 30px; 
}


.creativeher-post-link-content > a:first-child {
    flex-shrink: 0; 
    width: 120px; 
    height: auto; 
}

@media screen and (max-width: 1070px) {
	.post-navigation .nav-links {

		grid-template-columns: auto;}
	.creativeher-kadence-adjacent-post-link {
		width: 100% !important;
		margin: 0 !important;
	}
}

/*Social Icons*/
.creativeher-social-box .social-wrap {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.creativeher-social-box h6 {
	margin-right: 10px;
}

.social-btn a {
    padding: 0 2px;
}

.creativeher-social-box svg {
    fill: #505050;
    width: 18px !important;
    height: 18px !important;
}

/*Recipe*/

.wprm-recipe-template-blend-in-name-stars-container .wprm-recipe-rating {
    margin-left: 5px;
    display: block;
    width: 100%;
    margin-bottom: 30px;
}

.wprm-recipe-template-blend-in {
	background: var(--global-palette8) !important;
}

.wprm-recipe-template-snippet-basic-buttons {
	text-align: left;
}

.wprm-recipe-template-blend-in, .wprm-recipe-template-blend-in p, .wprm-recipe-template-blend-in li {
	    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    line-height: 1.9;
    font-family: var(--global-body-font-family);
    color: #2d2e2e;
}

.wprm-recipe-template-blend-in li {
	margin-bottom: 10px !important;
}

.wprm-recipe-template-blend-in {
	padding: 30px;
}

.wprm-recipe-details-label {
	font-style: normal;
    font-weight: 500;
    font-size: 13px;
    letter-spacing: 2px;
    font-family: var(--global-primary-nav-font-family);
    text-transform: uppercase;
}
.wprm-recipe h1, .wprm-recipe h2, .wprm-recipe h3, .wprm-recipe h4, .wprm-recipe h5, .wprm-recipe h6, .wprm-recipe-template-blend-in .wprm-recipe-name, .wprm-recipe-template-blend-in .wprm-recipe-header {
	font-family: var(--global-heading-font-family) !important;
	margin-bottom: 10px !important;
}

.wprm-recipe-block-container-inline {
    width: 25%;
    display: inline-grid;
    margin-bottom: 20px;
}

.wprm-recipe-summary {
	margin-bottom: 30px;
	margin-top: 20px;
}

.wprm-recipe-print, .wprm-recipe-jump {
	background: #333;
	padding: 12px 30px !important;
	color: #fff !important;
	font-style: normal;
    font-weight: 500;
    font-size: 12px;
    letter-spacing: 1.5px;
    font-family: var(--global-primary-nav-font-family);
    text-transform: uppercase;
	border-radius: 0 !important;
}

.wprm-recipe-template-blend-in h2 {
    font-size: 35px;
    font-weight: normal !important;
	
}

.wprm-recipe-template-blend-in h3 {
    font-size: 25px;
    font-weight: normal !important;
}

.wprm-recipe-print svg g {
	fill: #fff !important;
}

.wprm-recipe-print svg {
	margin-right: 10px !important;
}

/* Product Layout*/
@media screen and (max-width: 719px) {
    .content-style-boxed .content-bg:not(.loop-entry) {
        margin-left: 0;
        margin-right: 0;
        width: auto;
    }
}

@media screen and (max-width: 719px) {
    .wp-site-blocks .wc-block-grid .wc-block-grid__products .wc-block-grid__product {
     
        margin-bottom: 30px;
    }
}

.wp-block-kadence-posts .loop-entry {
	box-shadow: 0 0 0 0;
}

@media screen and (max-width: 767px) { 
	.kb-posts-style-boxed.item-image-style-beside .entry-content-wrap {
		padding: 20px 0 !important;
	}
	
}

@media screen and (max-width: 800px) { 
	.wp-block-kadence-tabs .kt-tabs-id536_300ef4-30 > .kt-tabs-title-list li {
		width: 100%;
	}
	.kt-tabs-title-list li .kt-tab-title {
		padding: 20px !important;
	}
	
}

.wp-block-kadence-posts .loop-entry {
	box-shadow: 0 0 0 0 !important;
}

.popup-drawer .drawer-header .drawer-toggle {
	padding-top: 30px;
}

/*Nav*/
.nav-links {
    display: flex;
    flex-direction: row;
    align-items: center;
    max-width: var(--global-content-width);
    margin: 0 auto;
    padding: 0 20px;
    margin-top: 70px;
}

.pagination .nav-links {
    justify-content: center;
    flex-wrap: wrap;
}

.nav-links a.next.page-numbers {
    margin-left: auto !important;
    margin-right: 0 !important;
}

.nav-links svg {
	display: none;
}

.nav-links a.next.page-numbers, .nav-links a.prev.page-numbers {
    border-radius: 0;
    display: flex;
    flex-direction: row;
    align-items: center;
	    padding: 12px 25px;
    background: var(--global-palette5);
}

.pagination .page-numbers {
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    letter-spacing: 2px;
    font-family: var(--global-primary-nav-font-family);
    text-transform: uppercase;
    white-space: nowrap;
}
